# Community

The Runwasi project thrives thanks to its community of contributors and users. We welcome participation from individuals and organizations interested in running WebAssembly workloads in container environments.

## Communication Channels

### Slack

- If you haven't joined the CNCF Slack yet, you can do so [here](https://slack.cncf.io/).
- Come join us on our [#runwasi](https://cloud-native.slack.com/archives/C04LTPB6Z0V) channel on the CNCF Slack.

### Community Calls

We hold regular community calls to discuss project updates, upcoming features, and address questions:

- **Schedule**: Tuesdays every other week at 9:00 AM PT
- **Zoom Link**: [Zoom Meeting](https://zoom.us/my/containerd?pwd=bENmREpnSGRNRXdBZWV5UG8wbU1oUT09)
- **Meeting Notes**: [Google Doc](https://docs.google.com/document/d/1aOJ-O7fgMyRowHD0kOoA2Z_4d19NyAvvdqOkZO3Su_M/edit?usp=sharing)

These calls are open to everyone interested in the project, regardless of experience level.

## Getting Help

If you need help with Runwasi, there are several ways to get assistance:

1. **Slack**: Ask questions in the [#runwasi](https://cloud-native.slack.com/archives/C04LTPB6Z0V) channel
2. **GitHub Issues**: [File an issue](https://github.com/containerd/runwasi/issues) for bugs or feature requests
3. **Community Calls**: Join our biweekly calls to discuss with the maintainers
4. **Documentation**: Browse our [documentation](../) for guides and references

## Contributing

We welcome contributions of all kinds! Whether you're fixing a typo, improving documentation, adding a feature, or reporting a bug, your help is appreciated.

See our [Contributing Guide](../developer/contributing.md) for detailed information.

## Projects Using Runwasi

Runwasi is being used by several projects in the WebAssembly and container ecosystems:

- [spinkube/containerd-shim-spin](https://github.com/spinkube/containerd-shim-spin)
- [deislabs/containerd-wasm-shims](https://github.com/deislabs/containerd-wasm-shims)

If you're using Runwasi in your project, we'd love to hear about it! Let us know on Slack or during a community call.

## Code of Conduct

Runwasi follows the [CNCF Code of Conduct](https://github.com/cncf/foundation/blob/main/code-of-conduct.md). We are committed to providing a welcoming and inclusive environment for all participants.

## Roadmap and Future Direction

To learn about our current development focus and future plans, check out our [Roadmap](../developer/roadmap.md).
